Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
pawuta

Nhờ viết lisp kết hợp 2 lệnh trong autocad

Các bài được khuyến nghị

pawuta    12

Nhờ mọi người viết giúp mình lisp xoay vòng các lệnh trong autocad, ví dụ lệnh như sau:

Gõ lệnh PP lần 1 để thực hiện lệnh "CLEANSCREENON", gõ PP lần 2 để thực hiện lệnh "CLEANSCREENOFF"

Còn các lệnh khác mình hay dùng thì mình có thể thay thế lệnh vào lisp sau cũng được. Mong mọi người giúp đỡ!

 

  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ndtnv    397

Các lệnh khác làm tương tự nếu system variable là READ ONLY

(defun C:PP ()
(vl-cmdf (nth (getvar "CLEANSCREENSTATE") '("CLEANSCREENON" "CLEANSCREENOFF"))))

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
pawuta    12

Các lệnh khác làm tương tự nếu system variable là READ ONLY

(defun C:PP ()

(vl-cmdf (nth (getvar "CLEANSCREENSTATE") '("CLEANSCREENON" "CLEANSCREENOFF"))))

Thanks bạn nhiều nhé!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ndtnv    397

Trường hợp này, OPMSTATE có 3 giá trị là 0, 1 và 2 nên để tránh lỗi dùng như sau:

(defun C:QQ ()(vl-cmdf (if (= (getvar "OPMSTATE")0) "PROPERTIES" "PROPERTIESCLOSE")))

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
pawuta    12

Trường hợp này, OPMSTATE có 3 giá trị là 0, 1 và 2 nên để tránh lỗi dùng như sau:

(defun C:QQ ()(vl-cmdf (if (= (getvar "OPMSTATE")0) "PROPERTIES" "PROPERTIESCLOSE")))

Oh, tuyệt quá, thanks bạn nhiều nhé, làm sao để biết lệnh đó là thuộc .....STATE nào vậy bạn?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ndtnv    397

Đánh lệnh CUI, trong command list đánh các ký tự đầu của tên lệnh

Bấm nút > ở góc dưới phải

Trong ô macro là tên biến và 2 lệnh tương ứng

Lệnh trên có thể sửa lại cho giống thứ tự trong macro như sau

(defun C:QQ ()(vl-cmdf (if (> (getvar "OPMSTATE")0) "PROPERTIESCLOSE" "PROPERTIES")))

 

19626_cui.jpg

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
pawuta    12

Đánh lệnh CUI, trong command list đánh các ký tự đầu của tên lệnh

Bấm nút > ở góc dưới phải

Trong ô macro là tên biến và 2 lệnh tương ứng

Lệnh trên có thể sửa lại cho giống thứ tự trong macro như sau

(defun C:QQ ()(vl-cmdf (if (> (getvar "OPMSTATE")0) "PROPERTIESCLOSE" "PROPERTIES")))

 

19626_cui.jpg

Oh, bạn rất nhiệt tình, cảm ơn bạn rất nhiều nhé!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×